Skip to main content
GET
/
detections
/
stream
[beta] Returns a list of all detections in an organization.
curl --request GET \
  --url https://api.samsara.com/detections/stream \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "asset": {
        "id": "asset-23ab7cd1-5f6e-4c9b-8f21-1e3b7a9c4d8f",
        "attributes": [
          {
            "dateValues": [
              "2024-01-15",
              "2024-12-31"
            ],
            "id": "494123",
            "name": "Compliance/ELD",
            "numberValues": [
              867,
              5309
            ],
            "stringValues": [
              "HQ",
              "Leased"
            ]
          }
        ],
        "name": "Truck 102 - Volvo VNL",
        "tags": [
          {
            "id": "3914",
            "name": "East Coast",
            "parentTagId": "4815"
          }
        ]
      },
      "createdAtTime": "2025-09-20T11:15:30Z",
      "id": "9c4f81d2-7a25-4f8c-9b83-1c34a91e34a1",
      "inCabAlertPlayed": true,
      "safetyEvent": [
        {
          "inboxEvent": false,
          "id": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
          "inboxFilterReason": "belowSeverityThreshold"
        }
      ],
      "triggerDetectionLabel": "braking",
      "updatedAtTime": "2025-09-20T11:20:45Z",
      "driver": {
        "id": "driver-8b12fa3d-3c6e-4e2a-9a76-24c1f7b23d9a",
        "attributes": [
          {
            "dateValues": [
              "2024-01-15",
              "2024-12-31"
            ],
            "id": "494123",
            "name": "Compliance/ELD",
            "numberValues": [
              867,
              5309
            ],
            "stringValues": [
              "HQ",
              "Leased"
            ]
          }
        ],
        "externalIds": {},
        "name": "Alex Johnson",
        "tags": [
          {
            "id": "3914",
            "name": "East Coast",
            "parentTagId": "4815"
          }
        ]
      }
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

driverIds
string[]

Optional string of comma separated driver IDs. If driver ID is present, events for the specified driver(s) will be returned. Max for this value is 2000 objects. (Example: 281474982859091,281471982957527)

assetIds
string[]

Optional string of comma separated asset IDs. If asset ID is present, events for the specified asset(s) will be returned. Max for this value is 2000 objects. (Example: 281474982859091,281471982957527)

detectionBehaviorLabels
string[]

Optional string of comma separated labels to filter behavior labels. Uses OR semantics for filtering. An empty list allows all values. Valid values: acceleration, braking, crash, drowsy, eatingDrinking, edgeRailroadCrossingViolation, followingDistance, forwardCollisionWarning, genericDistraction, harshTurn, heavySpeeding, laneDeparture, lightSpeeding, maxSpeed, mobileUsage, moderateSpeeding, noSeatbelt, obstructedCamera, passenger, policyViolationMask, ranRedLight, rearCollisionWarning, reversing, rollingStop, rolloverProtection, severeSpeeding, smoking, speeding, unsafeParking, vehicleInBlindSpotWarning, vulnerableRoadUserCollisionWarning, yawControl. (Example: rollingStop,obstructedCamera,noSeatbelt)

inboxFilterReason
string[]

Optional string of comma separated reasons to filter detections. Uses OR semantics for filtering. An empty list allows all values. Valid values: overDailyLimit, overHourlyLimit, overTripLimit, belowConfidenceThreshold, belowSeverityThreshold, overEventRateLimit, geofenceFilter, belowNudgeThreshold, belowSpeedThreshold, nighttimeFilter, speedingFilter, inCabAlertOnly, unknown. (Example: overDailyLimit,overHourlyLimit,belowConfidenceThreshold)

inboxEvent
boolean

Indicates whether or not to return detections with an associated Safety Inbox event. An empty entry allows all values. (Example: true)

inCabAlertPlayed
boolean

Indicates whether or not to return detections where in-cab alert played. An empty entry allows all values. (Example: true)

tagIds
string[]

An optional filter on the data based on this comma-separated list of tag IDs. The filtering is OR inclusive for asset and driver tags. (Example: 1234,5678)

includeAsset
boolean
default:false

Indicates whether or not to return expanded data for asset objects. (Example: true)

includeDriver
boolean
default:false

Indicates whether or not to return expanded data for driver objects. (Example: true)

startTime
string
required

Required RFC 3339 timestamp that indicates when to begin receiving data. Value is compared against updatedAtTime. (Example: 2024-04-16T19:08:25Z)

endTime
string

Optional RFC 3339 timestamp. If not provided then the endpoint behaves as an unending feed of changes. If endTime is set the same as startTime, the most recent data point before that time will be returned per asset. Value is compared against updatedAtTime. (Example: 2024-04-23T19:08:25Z)

after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

Response

OK response.

data
object[]
required

Array of detection log entries

pagination
object
required

Pagination parameters.